Groovy Documentation

## org.codehaus.groovy.grails.commons.metaclass
[Java] Class AbstractDynamicProperty

    java.lang.Object
      org.codehaus.groovy.grails.commons.metaclass.AbstractDynamicProperty

All Implemented Interfaces:
  DynamicProperty

    public abstract class AbstractDynamicProperty

An abstract class for implementors of dynamic getters to implement.

Authors:
  Graeme Rocher

Constructor Summary
`AbstractDynamicProperty(java.lang.String propertyName)`

Method Summary
`java.lang.Object` | `get(java.lang.Object object)`
`java.lang.String` | `getPropertyName()`
`boolean` | `isPropertyMatch(java.lang.String propName)`
`void` | `set(java.lang.Object object, java.lang.Object newValue)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### AbstractDynamicProperty

    public AbstractDynamicProperty(java.lang.String propertyName)

Method Detail

### get

    public java.lang.Object get(java.lang.Object object)

### getPropertyName

    public java.lang.String getPropertyName()

### isPropertyMatch

    public boolean isPropertyMatch(java.lang.String propName)

### set

    public void set(java.lang.Object object, java.lang.Object newValue)

Groovy Documentation